
# David - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_1
%define unstable 0
%else
%define unstable 0
%endif

Name:		kdeartwork
Summary: 	Kdeartwork
Version: 	3.1
Release: 	3mdk

Source0: 	kdeartwork-3.1.tar.bz2

# Laurent 3.0.2-2mdk patch for ix64!
Patch2:     kde-lib64updates.patch.bz2

Patch3:		kdeartwork-3.0.3-fix-mem-leak.patch.bz2

# Fix image in about dialogbox
Patch4:		kdeartwork-3.0.3-fix-icon-in-about-dialogbox.patch.bz2


License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>



%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf2.5
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext kdebase-devel kdelibs-devel libMesaGLU1 libbinutils2
BuildRequires:	libbzip2_1-devel libintl1 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:	libpng3-devel libqt3-devel
BuildRequires:	libtermcap2 m4 mktemp perl perl-MDK-Common popt
BuildRequires:	rpm-build texinfo zlib1
%endif

%if %buildfor9_0 || %buildfor9_1
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts 
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext kdebase-devel kdelibs-devel libMesaGLU1 libbinutils2
BuildRequires:  libbzip2_1-devel libintl2 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:  libpng3-devel libqt3-devel
BuildRequires:  libtermcap2 m4 mktemp perl perl-MDK-Common popt
BuildRequires:  rpm-build texinfo zlib1 libMesaglut3-devel
%endif

PreReq:		kdebase >= 3.1
Obsoletes:  kdeartwork3
Provides:	kdeartwork3

Conflicts: 	kdebase =< 2.2.2-93mdk

%description
Additional artwork (themes, sound themes, icons,etc...) for KDE.


%package 	kde-classic
Summary:    Default Icons from kde3.0 
Group:      Development/KDE and Qt
Requires:	kdebase >= 3.1

%description kde-classic
Default Icons from kde3.0.



%prep
%setup  -q 

#%patch2 -p1
#%patch3 -p1
#%patch4 -p1

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure





%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
					--host=%_target_platform \
%if %unstable					
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
                    --disable-objprelink \
					--disable-embedded \
					--disable-qtopia \
					--disable-rpath \
					--with-gnu-ld \
					--with-pic \
					--with-xinerama

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot

install -d %buildroot/%_menudir/

# David - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

export PATH=%_bindir:$PATH
# %%_datadir/applnk/System/ScreenSavers
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KBanner.desktop %buildroot/%_menudir/kdeartwork-KBanner kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KEuphoria.desktop %buildroot/%_menudir/kdeartwork-KEuphoria kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KFlux.desktop %buildroot/%_menudir/kdeartwork-KFlux kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KFountain.desktop %buildroot/%_menudir/kdeartwork-KFountain kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KGravity.desktop %buildroot/%_menudir/kdeartwork-KGravity kde

kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KPolygon.desktop %buildroot/%_menudir/kdeartwork-KPolygon kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KSlideshow.desktop %buildroot/%_menudir/kdeartwork-KSlideshow kde

kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KBlob.desktop %buildroot/%_menudir/kdeartwork-KBlob kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KBouboule.desktop %buildroot/%_menudir/kdeartwork-KBouboule kde
kdedesktop2mdkmenu.pl kdebase .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KLines-saver.desktop %buildroot/%_menudir/kdebase-KLines-saver kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KLorenz.desktop %buildroot/%_menudir/kdeartwork-KLorenz kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KMorph3D.desktop %buildroot/%_menudir/kdeartwork-KMorph3D kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/kpartsaver.desktop %buildroot/%_menudir/kdeartwork-kpartsaver kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KPipes.desktop %buildroot/%_menudir/kdeartwork-KPipes kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KPolygon.desktop %buildroot/%_menudir/kdeartwork-KPolygon kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KPyro.desktop %buildroot/%_menudir/kdeartwork-KPyro kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KRock.desktop %buildroot/%_menudir/kdeartwork-KRock kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KScience.desktop %buildroot/%_menudir/kdeartwork-KScience kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KSolarWinds.desktop %buildroot/%_menudir/kdeartwork-KSolarWinds kde

kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KSlidescreen.desktop %buildroot/%_menudir/kdeartwork-KSlidescreen kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KSlideshow.desktop %buildroot/%_menudir/kdeartwork-KSlideshow kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KSpace.desktop %buildroot/%_menudir/kdeartwork-KSpace kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KSwarm.desktop %buildroot/%_menudir/kdeartwork-KSwarm kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KVm.desktop %buildroot/%_menudir/kdeartwork-KVm kde
kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KWave.desktop %buildroot/%_menudir/kdeartwork-KWave kde

rm -f %buildroot/%_bindir/kmatrix.kss
rm -f %buildroot/%_datadir/applnk/System/ScreenSavers/KMatrix.desktop

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
#%dir %_datadir/config


%_bindir/kbanner.kss       
%_bindir/klines.kss        
%_bindir/kpipes.kss        
%_bindir/kslidescreen.kss  
#%_bindir/kwave.kss
%_bindir/kblob.kss         
%_bindir/klorenz.kss       
%_bindir/kpolygon.kss      
%_bindir/kslideshow.kss    
#%_bindir/kxsconfig
%_bindir/kbouboule.kss     
#kmatrix.kss       
%_bindir/kpyro.kss         
%_bindir/kspace.kss        
#%_bindir/kxsrun
#%_bindir/kfountain.kss     
%_bindir/kmorph3d.kss      
%_bindir/krock.kss        
%_bindir/kswarm.kss
#%_bindir/kgravity.kss      
%_bindir/kpartsaver.kss    
%_bindir/kscience.kss      
%_bindir/kvm.kss
%_bindir/keuphoria.kss
%_bindir/kflux.kss
%_bindir/kfountain.kss
%_bindir/kgravity.kss
%_bindir/ksolarwinds.kss
%_bindir/kwave.kss

%_libdir/kde3/kwin_cde.la
%_libdir/kde3/kwin_cde_config.la
%_libdir/kde3/kwin_glow.la
%_libdir/kde3/kwin_glow_config.la
%_libdir/kde3/kwin_openlook.la

%_libdir/kde3/kwin_cde.so*
%_libdir/kde3/kwin_cde_config.so*
%_libdir/kde3/kwin_glow.so*
%_libdir/kde3/kwin_glow_config.so*
%_libdir/kde3/kwin_openlook.so*
#
%dir %_libdir/kde3/plugins/
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.so*
%_libdir/kde3/plugins/styles/*.la
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kstyle/
%dir %_datadir/apps/kstyle/themes/
%_datadir/apps/kstyle/themes/*.themerc
#
#
%dir %_datadir/apps/kwin/
%_datadir/apps/kwin/*.desktop
%dir %_datadir/apps/kwin/icewm-themes/
%dir %_datadir/apps/kwin/icewm-themes/MenschMaschine/
%_datadir/apps/kwin/icewm-themes/MenschMaschine/*.theme
%_datadir/apps/kwin/icewm-themes/MenschMaschine/*.xpm
#
%dir %_datadir/apps/kwin/icewm-themes/Model/
%_datadir/apps/kwin/icewm-themes/Model/*.theme
%_datadir/apps/kwin/icewm-themes/Model/*.xpm
#
%dir %_datadir/apps/kscreensaver/
%_datadir/apps/kscreensaver/*.png
#

%dir %_datadir/apps/kworldclock/
%dir %_datadir/apps/kworldclock/maps/
%dir %_datadir/apps/kworldclock/maps/alt/
%_datadir/apps/kworldclock/maps/alt/*.jpg
%_datadir/apps/kworldclock/maps/alt/*.desktop

%dir %_datadir/apps/kworldclock/maps/bio/
%_datadir/apps/kworldclock/maps/bio/*.jpg
%_datadir/apps/kworldclock/maps/bio/*.desktop

%dir %_datadir/apps/kworldclock/maps/caida/
%_datadir/apps/kworldclock/maps/caida/*.jpg
%_datadir/apps/kworldclock/maps/caida/*.desktop

%dir %_datadir/apps/kworldclock/maps/caida_bw/
%_datadir/apps/kworldclock/maps/caida_bw/*.jpg
%_datadir/apps/kworldclock/maps/caida_bw/*.desktop

%dir %_datadir/apps/kworldclock/maps/depths/
%_datadir/apps/kworldclock/maps/depths/*.jpg

%dir %_datadir/apps/kworldclock/maps/mggd/
%_datadir/apps/kworldclock/maps/mggd/*.jpg
%_datadir/apps/kworldclock/maps/mggd/*.desktop

%dir %_datadir/apps/kworldclock/maps/rainfall/
%_datadir/apps/kworldclock/maps/rainfall/*.jpg
%_datadir/apps/kworldclock/maps/rainfall/*.desktop

#
%dir %_datadir/sounds/
%_datadir/sounds/*.wav

%dir %_datadir/icons/
%dir %_datadir/icons/Locolor/
%dir %_datadir/icons/Locolor/16x16/
%dir %_datadir/icons/Locolor/16x16/actions/
%_datadir/icons/Locolor/16x16/actions/*.png
%dir %_datadir/icons/Locolor/16x16/apps/
%_datadir/icons/Locolor/16x16/apps/*.png

%dir %_datadir/icons/Locolor/16x16/devices/
%_datadir/icons/Locolor/16x16/devices/*.png

%dir %_datadir/icons/Locolor/16x16/filesystems/
%_datadir/icons/Locolor/16x16/filesystems/*.png

%dir %_datadir/icons/Locolor/16x16/mimetypes
%_datadir/icons/Locolor/16x16/mimetypes/*.png


%dir %_datadir/icons/Locolor/32x32/
%dir %_datadir/icons/Locolor/32x32/actions/
%_datadir/icons/Locolor/32x32/actions/*.png
%dir %_datadir/icons/Locolor/32x32/apps/
%_datadir/icons/Locolor/32x32/apps/*.png
%dir %_datadir/icons/Locolor/32x32/devices/
%_datadir/icons/Locolor/32x32/devices/*.png
%dir %_datadir/icons/Locolor/32x32/filesystems/
%_datadir/icons/Locolor/32x32/filesystems/*.png
%dir %_datadir/icons/Locolor/32x32/mimetypes
%_datadir/icons/Locolor/32x32/mimetypes/*.png
%_datadir/icons/Locolor/*.desktop

%dir %_datadir/icons/Technical/32x32/
%dir %_datadir/icons/Technical/32x32/actions/
%_datadir/icons/Technical/32x32/actions/*.png
%dir %_datadir/icons/Technical/32x32/filesystems/
%_datadir/icons/Technical/32x32/filesystems/*.png
%dir %_datadir/icons/Technical/32x32/mimetypes/
%_datadir/icons/Technical/32x32/mimetypes/*.png


%dir %_datadir/icons/Technical/48x48/
%dir %_datadir/icons/Technical/48x48/filesystems/
%_datadir/icons/Technical/48x48/filesystems/*.png
%dir %_datadir/icons/Technical/48x48/mimetypes/
%_datadir/icons/Technical/48x48/mimetypes/*.png
%_datadir/icons/Technical/*.desktop

%dir %_datadir/icons/ikons/
%_datadir/icons/ikons/*

%dir %_datadir/icons/slick/
%_datadir/icons/slick/*


%dir %_datadir/applnk/System/ScreenSavers/
#%_datadir/applnk/System/ScreenSavers/.directory
%_datadir/applnk/System/ScreenSavers/KBanner.desktop
#%_datadir/applnk/System/ScreenSavers/KBlankscreen.desktop
%_datadir/applnk/System/ScreenSavers/KBlob.desktop
%_datadir/applnk/System/ScreenSavers/KBouboule.desktop
#%_datadir/applnk/System/ScreenSavers/KLines.desktop
%_datadir/applnk/System/ScreenSavers/KLorenz.desktop
# David - 2.1-0.20010202.1mdk - KMatrix is excluded for legal issue
#%_datadir/applnk/System/ScreenSaversK/Matrix.desktop
%_datadir/applnk/System/ScreenSavers/KMorph3D.desktop
%_datadir/applnk/System/ScreenSavers/KPipes.desktop
%_datadir/applnk/System/ScreenSavers/KPolygon.desktop
%_datadir/applnk/System/ScreenSavers/KPyro.desktop
%_datadir/applnk/System/ScreenSavers/KRock.desktop
%_datadir/applnk/System/ScreenSavers/KScience.desktop
%_datadir/applnk/System/ScreenSavers/KSlidescreen.desktop
%_datadir/applnk/System/ScreenSavers/KSlideshow.desktop
%_datadir/applnk/System/ScreenSavers/KSpace.desktop
%_datadir/applnk/System/ScreenSavers/KSwarm.desktop
%_datadir/applnk/System/ScreenSavers/KVm.desktop
%_datadir/applnk/System/ScreenSavers/kpartsaver.desktop
%_datadir/applnk/System/ScreenSavers/KEuphoria.desktop
%_datadir/applnk/System/ScreenSavers/KFlux.desktop
%_datadir/applnk/System/ScreenSavers/KFountain.desktop
%_datadir/applnk/System/ScreenSavers/KGravity.desktop
%_datadir/applnk/System/ScreenSavers/KLines-saver.desktop
#%_datadir/applnk/System/ScreenSavers/KMatrix.desktop
%_datadir/applnk/System/ScreenSavers/KSolarWinds.desktop
%_datadir/applnk/System/ScreenSavers/KWave.desktop


#%_datadir/applnk/System/ScreenSavers/KFountain.desktop
#%_datadir/applnk/System/ScreenSavers/KGravity.desktop
#%_datadir/applnk/System/ScreenSavers/KWave.desktop

%dir %_datadir/wallpapers/
%_datadir/wallpapers/*.jpg
%_datadir/wallpapers/*.png
%_menudir/*


%files kde-classic
%defattr(-,root,root,-)
%dir %_datadir/icons/kdeclassic/
%dir %_datadir/icons/kdeclassic/16x16/
%dir %_datadir/icons/kdeclassic/16x16/actions/
%_datadir/icons/kdeclassic/16x16/actions/*.png
%dir %_datadir/icons/kdeclassic/16x16/apps/
%_datadir/icons/kdeclassic/16x16/apps/*.png
%dir %_datadir/icons/kdeclassic/16x16/devices/
%_datadir/icons/kdeclassic/16x16/devices/*.png
%dir %_datadir/icons/kdeclassic/16x16/filesystems/
%_datadir/icons/kdeclassic/16x16/filesystems/*.png
%dir %_datadir/icons/kdeclassic/16x16/mimetypes/
%_datadir/icons/kdeclassic/16x16/mimetypes/*.png
%_datadir/icons/kdeclassic/16x16/mimetypes/*.mng


%dir %_datadir/icons/kdeclassic/22x22/
%dir %_datadir/icons/kdeclassic/22x22/actions/
%_datadir/icons/kdeclassic/22x22/actions/*.png

%dir %_datadir/icons/kdeclassic/22x22/apps/
%_datadir/icons/kdeclassic/22x22/apps/*.png

%dir %_datadir/icons/kdeclassic/22x22/mimetypes/
%_datadir/icons/kdeclassic/22x22/mimetypes/*.png




%dir %_datadir/icons/kdeclassic/32x32/
%dir %_datadir/icons/kdeclassic/32x32/apps/
%_datadir/icons/kdeclassic/32x32/apps/*.png
%dir %_datadir/icons/kdeclassic/32x32/actions/
%_datadir/icons/kdeclassic/32x32/actions/*.png
%dir %_datadir/icons/kdeclassic/32x32/devices/
%_datadir/icons/kdeclassic/32x32/devices/*.png
%dir %_datadir/icons/kdeclassic/32x32/filesystems/
%_datadir/icons/kdeclassic/32x32/filesystems/*.png
%dir %_datadir/icons/kdeclassic/32x32/mimetypes/
%_datadir/icons/kdeclassic/32x32/mimetypes/*.png
%dir %_datadir/icons/kdeclassic/48x48/
%dir %_datadir/icons/kdeclassic/48x48/apps/
%_datadir/icons/kdeclassic/48x48/apps/*.png
%dir %_datadir/icons/kdeclassic/48x48/devices/
%_datadir/icons/kdeclassic/48x48/devices/*.png
%dir %_datadir/icons/kdeclassic/48x48/filesystems/
%_datadir/icons/kdeclassic/48x48/filesystems/*.png
%dir %_datadir/icons/kdeclassic/48x48/actions/
%_datadir/icons/kdeclassic/48x48/actions/*.png
%dir %_datadir/icons/kdeclassic/48x48/mimetypes/
%_datadir/icons/kdeclassic/48x48/mimetypes/*.png




%dir %_datadir/icons/kdeclassic/64x64/
%dir %_datadir/icons/kdeclassic/64x64/filesystems/
%_datadir/icons/kdeclassic/64x64/filesystems/*.png
%dir %_datadir/icons/kdeclassic/64x64/
%dir %_datadir/icons/kdeclassic/64x64/mimetypes/
%_datadir/icons/kdeclassic/64x64/mimetypes/*.png
%_datadir/icons/kdeclassic/index.desktop



%changelog
* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Create package for default kde3.0

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Thu Jan 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Remove debug

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Integrate Gwenole patch "Make it lib64 aware"

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- RC1

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- Oops rename it

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.8-1mdk
- beta2

* Sun Oct 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add conflict

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch6 : fix other about dialog

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch5 : fix about icon in screensaver about dialogbox

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Fix icon in about dialogbox

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch3 : fix mem leak

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Rebuild aginst gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2

* Wed Jul 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Rebuild against libstdc++

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- fix menu-entry

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remove 'fomit-frame-pointer'
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- fix spec file for 8.0

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3


* Wed Feb 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.4mdk
- Fix BuildRequires on 8.2

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix ./configure
- Set unstable macro to 1
- Enable debug

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- spec file

* Sat Feb 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.2mdk
- Rename to allow KDE 2 & 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1-2mdk
- kde 3.0 beta1

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Wed Nov 15 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Thu Oct 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-2mdk
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>
- Rewrite %%configure steps
- 8.2: enable objprelink

* Thu Sep 18 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Fri Sep 14 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-6mdk
- Add description

* Thu Sep 12 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-5mdk
- Fix group name

* Wed Sep 04 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-4mdk
- Add requires kdebase

* Fri Aug 31 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-3mdk
- Rebuild with new kdelibs

* Thu Aug 16 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-2mdk
- Fix generated menu

* Mon Aug 06 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Tue Aug 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre 1

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Clean spec
- Rewrite %%files sections

* Tue Jun 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2
